Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226550 - Merge Review: xcdroast
Summary: Merge Review: xcdroast
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:18 UTC by Nobody's working on this, feel free to take it
Modified: 2010-03-23 09:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-23 09:22:53 UTC
susi.lehtola: fedora-review+


Attachments (Terms of Use)
Suggested patch (deleted)
2010-01-01 17:43 UTC, Susi Lehtola
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 21:18:07 UTC
Fedora Merge Review: xcdroast

http://cvs.fedora.redhat.com/viewcvs/devel/xcdroast/
Initial Owner: harald@redhat.com

Comment 1 Fabian Affolter 2008-12-15 10:11:11 UTC
Just some comments...

- X-CD-Roast 0.98alpha16 released
  http://www.xcdroast.org/#download
- Summary ends with a dot
- Use %defattr(-,root,root,-) instead of %defattr(-,root,root)
- Use parallel make (make %{?_smp_mflags})
- Package doesn't consistently use macros
- Please add a note because 'PREFIX=/usr' is used
  https://fedoraproject.org/wiki/Packaging/Guidelines#Relocatable_packages

Comment 2 Fabian Affolter 2009-01-30 10:25:09 UTC
Roman Rakus is the owner acc. to the PackageDB. Added as cc.

Comment 3 Roman Rakus 2009-02-17 14:25:48 UTC
xcdroast-0.98-0.1.alpha16.fc11 built. Now it should be ok.

Comment 4 Susi Lehtola 2010-01-01 17:26:49 UTC
rpmlint output:
xcdroast.src:103: E: hardcoded-library-path in /usr/lib/%{name}-%{version}
xcdroast.src:104: E: hardcoded-library-path in /usr/lib/%{name}-%{version}/bin
xcdroast.src:105: E: hardcoded-library-path in /usr/lib/%{name}-%{version}/icons
xcdroast.src:106: E: hardcoded-library-path in /usr/lib/%{name}-%{version}/sound
xcdroast.src:109: E: hardcoded-library-path in /usr/lib/%{name}-%{version}/*/*
xcdroast.x86_64: W: file-not-utf8 /usr/share/doc/xcdroast-0.98/TRANSLATION.HOWTO
xcdroast.x86_64: W: file-not-utf8 /usr/share/doc/xcdroast-0.98/ChangeLog
3 packages and 0 specfiles checked; 5 errors, 2 warnings.

Comment 5 Susi Lehtola 2010-01-01 17:43:06 UTC
Created attachment 381208 [details]
Suggested patch

Comment 6 Susi Lehtola 2010-01-01 17:52:26 UTC
After application of patch, rpmlint is clean.

When you apply the patch, be sure to modify the desktop file for the new location of the icon.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK

MUST: The spec file for the package is legible and macros are used consistently. OK
- After application of patch.
- The patch lines that have been commented out should be removed completely.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. NEEDSWORK
- The files in src/ don't have any license statements.
- The GPLv2 COPYING is attached => assumed license is GPL+.
- Files in intl/ are under LGPLv2+.
=> License field should be "GPL+ and LGPLv2+", or the resulting "GPLv2+".

Please ask upstream to clarify license and add license headers to all source code files.


MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
- Source URL bad, patch fixes it.
- Source matches upstream.

MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A

MUST: A package must own all directories that it creates or require the package that owns the directory. OK
- At least after application of patch.

MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK

MUST: Large documentation files must go in a -doc subpackage. OK
- After application of patch.

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
- After application of patch.

MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK


Apply the patch and fix the license tag, then I'll approve the review.

Comment 7 Roman Rakus 2010-03-19 16:05:27 UTC
I have changed spec file (commited), but I rather wait for an answer from the upstream about the license.

Comment 8 Roman Rakus 2010-03-22 11:04:38 UTC
All should be corrected in xcdroast-0.98-0.4.alpha16.fc14.

Comment 9 Susi Lehtola 2010-03-23 00:16:37 UTC
Source URL is still incorrect. Otherwise looks good.

APPROVED

Feel free to close once you have fixed the source URL as per
http://fedoraproject.org/wiki/Packaging/SourceURL

Comment 10 Roman Rakus 2010-03-23 09:22:53 UTC
Thanks. Corrected in xcdroast-0.98-0.5.alpha16.fc14


Note You need to log in before you can comment on or make changes to this bug.